﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[RELITM]') AND name = N'XRELITM1')
BEGIN 
PRINT 'Creating index XRELITM1 on table RELITM'
CREATE UNIQUE NONCLUSTERED INDEX [XRELITM1] ON [dbo].[RELITM] 
(
	[PPOS] ASC,
	[SPOS] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RELITM' AND COLUMN_NAME = 'DELC' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RELITM_DELC')
BEGIN 
    PRINT 'Creating default constraint DF_RELITM_DELC on table RELITM' 
    ALTER TABLE [dbo].[RELITM]
    ADD CONSTRAINT [DF_RELITM_DELC] DEFAULT ((0)) FOR [DELC]
END 
GO

